#ifndef VERSION_H
#define VERSION_H

namespace AutoVersion{
	
	//Date Version Types
	static const char DATE[] = "12";
	static const char MONTH[] = "02";
	static const char YEAR[] = "2014";
	static const char UBUNTU_VERSION_STYLE[] = "14.02";
	
	//Software Status
	static const char STATUS[] = "Beta";
	static const char STATUS_SHORT[] = "b";
	
	//Standard Version Type
	static const long MAJOR = 1;
	static const long MINOR = 4;
	static const long BUILD = 158;
	static const long REVISION = 1220;
	
	//Miscellaneous Version Types
	static const long BUILDS_COUNT = 414;
	#define RC_FILEVERSION 1,4,158,1220
	#define RC_FILEVERSION_STRING "1, 4, 158, 1220\0"
	static const char FULLVERSION_STRING[] = "1.4.158.1220";
	
	//These values are to keep track of your versioning state, don't modify them.
	static const long BUILD_HISTORY = 15;
	

}
#endif //VERSION_H
